> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Webhook

> Send a test payload to the webhook URL synchronously and return the result.



## OpenAPI

````yaml post /api/v1/webhooks/{webhook_id}/test
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/webhooks/{webhook_id}/test:
    post:
      tags:
        - webhooks
        - Webhooks
      summary: Send a test payload to the webhook URL
      description: >-
        Send a test payload to the webhook URL synchronously and return the
        result.
      operationId: test_webhook_endpoint_api_v1_webhooks__webhook_id__test_post
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            title: Webhook Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookTestResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookTestResponse:
      properties:
        success:
          type: boolean
          title: Success
        status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Status Code
        response_body:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Body
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - success
        - status_code
        - response_body
      title: WebhookTestResponse
      description: Response for the test webhook endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````